EvaluationException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.expression

## Class EvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.expression.ExpressionException
        - - org.springframework.expression.EvaluationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ExpressionInvocationTargetException, SpelEvaluationException

      public class EvaluationException
      extends ExpressionException

  Represent an exception that occurs during expression evaluation.
  Since:
    3.0
  Author:
    Andy Clement
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.expression.ExpressionException

      `expressionString, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationException(int position, String message)` Creates a new expression evaluation exception.
    `EvaluationException(int position, String message, Throwable cause)` Creates a new expression evaluation exception.
    `EvaluationException(String message)` Creates a new expression evaluation exception.
    `EvaluationException(String expressionString, String message)` Creates a new expression evaluation exception.
    `EvaluationException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.expression.ExpressionException

      `getExpressionString, getPosition, toDetailedString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationException

          public EvaluationException(int position,
                             String message)

      Creates a new expression evaluation exception.
      Parameters:
        `position` - the position in the expression where the problem occurred
        `message` - description of the problem that occurred

    - #### EvaluationException

          public EvaluationException(String expressionString,
                             String message)

      Creates a new expression evaluation exception.
      Parameters:
        `expressionString` - the expression that could not be evaluated
        `message` - description of the problem that occurred

    - #### EvaluationException

          public EvaluationException(int position,
                             String message,
                             Throwable cause)

      Creates a new expression evaluation exception.
      Parameters:
        `position` - the position in the expression where the problem occurred
        `message` - description of the problem that occurred
        `cause` - the underlying cause of this exception

    - #### EvaluationException

          public EvaluationException(String message)

      Creates a new expression evaluation exception.
      Parameters:
        `message` - description of the problem that occurred

    - #### EvaluationException

          public EvaluationException(String message,
                             Throwable cause)